import { NewReportForm } from "(app)/admin/report/_components/NewReport";

const Page = async ({
	searchParams,
}: {
	searchParams?: {
		[key: string]: string | undefined;
	};
}) => {
	const params = await searchParams;
	console.log("searchParams", params);
	return (
		<NewReportForm
			defaultValues={{
				reportedUserId: params?.reportedUserId || "",
			}}
		/>
	);
};

export default Page;
